html, body {
    height: 100%;
}

#wrap {
    min-height: 100%;
    padding-bottom: 150px;
}

#main {
    overflow:auto;
    padding-bottom: 150px;  /* must be same height as the footer */
}

#footer {
    position: relative;
    margin-top: -200px; /* negative value of footer height */
    clear:both;
}
